<template>
    <modal
            name="phone-modal"
            transition="nice-modal-fade"
            :min-width="200"
            :min-height="200"
            :pivot-y="0.5"
            :adaptive="true"
            :scrollable="true"
            :reset="true"
            :max-width="600"
            width="80%"
            height="auto">
        <div class="modal-content">
            <h2 class="modal-h2">Регистрация</h2>
            <div>
                <div v-if="error" class="error-msg">{{error}}</div>
                <input type="text" class="text-input" v-model="phone" placeholder="Введите номер телефона">
            </div>

            <div class="text-center">
                <button class="a-btn" @click="validate_phone">Далее</button>
            </div>

        </div>
    </modal>
</template>
<style >
    .error-msg{
        color: red;
        margin-bottom: 10px
    }
</style>
<script>

    export default {
        name: 'PhoneModal',
        data() {
            return {
                phone: '',
                error: ''
            }
        },

        methods:{
            validate_phone(){
                let phone = this.phone
                this.error = '',
                this.$store.dispatch('validate_phone',  phone)
                    .then(() => {
                        this.$modal.hide('phone-modal');
                        this.$modal.show('code-modal')
                    })
                    .catch(err => this.error = err)
            }
        }
    }
</script>
